Bug 1305546 - Dynamic provisioner can create several Persistent Volume for one claim
Dynamic provisioner can create several Persistent Volume for one claim
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Storage (Show other bugs)
3.x
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Jan Safranek
Jianwei Hou
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-08 09:46 EST by Jan Safranek
Modified: 2016-05-12 13:15 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-05-12 13:15:51 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Safranek 2016-02-08 09:46:15 EST
There are two race conditions in dynamic provisioner that can have these results:

* two (or more) PersistentVolumes are created for a single claim, each with its own AWS EBS, GCE PD or Cinder volume.
* one PersistentVolumes is correctly created for a single claim, but several AWS EBS, GCE PD or Cinder volumes are created in the cloud.

In both cases, too many volumes in the cloud are created and they are not deleted when the claim is removed by the user.

Version-Release number of selected component (if applicable):
3.1

How reproducible:
<10%

Steps to reproduce:
https://trello.com/c/Mol8D2Gb/79-dynamic-provisioner-sometimes-creates-two-volumes-for-one-claim

Kubernetes PRs:
https://github.com/kubernetes/kubernetes/pull/19868
https://github.com/kubernetes/kubernetes/pull/20213
Comment 2 Jan Safranek 2016-02-24 03:35:19 EST
Merged to OpenShift.
Comment 3 chaoyang 2016-02-25 22:08:43 EST
Test is passed on 
oc v1.1.3-282-gc423082
kubernetes v1.2.0-alpha.7-703-gbc4550d

Note You need to log in before you can comment on or make changes to this bug.